# identity provider

An identity provider is used by the Identity service’s OS-FEDERATION extension. It is used by federation protocols and mappings. Applicable to Identity v3.

## identity provider create

Create new identity provider

    openstack identity provider create
        [--remote-id
        <remote-id>
        |
        --remote-id-file <file-name>
        ]
        [--description <description>]
        [--domain <domain>]
        [--authorization-ttl <authorization-ttl>]
        [--enable | --disable]
        <name>

--remote-id <remote-id>

  Remote IDs to associate with the Identity Provider (repeat option to provide multiple values)

--remote-id-file <file-name>

  Name of a file that contains many remote IDs to associate with the identity provider, one per line

--description <description>

  New identity provider description

--domain <domain>

  Domain to associate with the identity provider. If not specified, a domain will be created automatically. (Name or ID)

--authorization-ttl <authorization-ttl>

  Time to keep the role assignments for users authenticating via this identity provider. When not provided, global default configured in the Identity service will be used. Available since Identity API version 3.14 (Ussuri).

--enable

  Enable identity provider (default)

--disable

  Disable the identity provider

name

  New identity provider name (must be unique)

## identity provider delete

Delete identity provider(s)

    openstack identity provider delete
        <identity-provider>
        [<identity-provider> ...]

identity-provider

  Identity provider(s) to delete

## identity provider list

List identity providers

    openstack identity provider list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--id <id>]
        [--enabled]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--id <id>

  The Identity Providers’ ID attribute

--enabled

  The Identity Providers that are enabled will be returned

## identity provider set

Set identity provider properties

    openstack identity provider set
        [--description <description>]
        [--remote-id
        <remote-id>
        |
        --remote-id-file <file-name>
        ]
        [--authorization-ttl <authorization-ttl>]
        [--enable | --disable]
        <identity-provider>

--description <description>

  Set identity provider description

--remote-id <remote-id>

  Remote IDs to associate with the Identity Provider (repeat option to provide multiple values)

--remote-id-file <file-name>

  Name of a file that contains many remote IDs to associate with the identity provider, one per line

--authorization-ttl <authorization-ttl>

  Time to keep the role assignments for users authenticating via this identity provider. Available since Identity API version 3.14 (Ussuri).

--enable

  Enable the identity provider

--disable

  Disable the identity provider

identity-provider

  Identity provider to modify

## identity provider show

Display identity provider details

    openstack identity provider show <identity-provider>

identity-provider

  Identity provider to display

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.